<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{276,124,1022,598}</property>
    <property name="Name">[sx_conta_bancos.scr]</property>
    <property name="Caption">[Contas da Tesouraria]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela_default.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

//skel VARIAVEL w_colsep = " "+chr(179)
//skel VARIAVEL zoOfx = hConciliaContaBancaria():New()
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,64,64)
hwg_TbMt(oToolbar,' 22;tb_insert(D_OB);Ins-Inclui ;Ins-Inclui;cadastrar.ico;;;;;Inclui;;;')
hwg_TbMt(oToolbar,' 65;tb_update(D_OB);A-Altera ;A-Altera;alterar.ico;;;;;&A-Altera;;;')
hwg_TbMt(oToolbar,'  7;tb_del(D_ob);DEL-DELeta ;DEL-Deleta;deletar.ico;;;;;Deleta;;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,' 80;tb_pesq(D_OB);P-Pesquisa ;P-Pesquisa na coluna do cursor;pesquisa.ico;;;;;&P-Pesquisa;;;')
hwg_TbMt(oToolbar,' 79;tb_index(D_OB);O-Ordena ;O-Ordena a coluna do cursor;ordenar.ico;;;;;&O-Ordena;;;')
hwg_TbMt(oToolbar,' 73;lst_alias(D_OB);I-Imprime ;I-Imprime;impressora.ico;;;;;&I-Imprime;;;')
hwg_Btn(oToolbar,10,544,70,24)
hwg_TbMt(oToolbar,' 13;eVal({||zoOfx:LoadOfx(Sx_Conta,lTrim(Str(Banco,3)),AcctId,DtConcilia,SldConcili,D_ob)});Enter-Import_OFX ;Enter - Import_OFX;sembitmap;;;Lucida Bright;-11;Import_OFX;;6;')
hwg_TbMt(oToolbar,' 69;doget(D_ob);E-Edita ;E - Edita;sembitmap;;;Lucida Bright;-11;&E-Edita;;6;')
hwg_TbMt(oToolbar,' 70;tb_filter(d_ob);F-Filtra ;F-Filtra Cursor;sembitmap;;;Lucida Bright;-11;&F-Filtra;;6;')
hwg_TbMt(oToolbar,' 32;eVal({||zoOfx:LoadOfx(Sx_Conta,lTrim(Str(Banco,3)),AcctId,DtConcilia,SldConcili,D_ob,.f.)});Barra-Concilia ;Barra - Concilia;sembitmap;;;Lucida Bright;-11;Concilia;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
if type("oDlgStatusBar")="B"
   oDlgStatusBar:Anchor:=14
endif

]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="bitmap">
    <style>
      <property name="Geometry">{948,10,58,50}</property>
      <property name="Name">[oBitmap1]</property>
      <property name="Anchor">9</property>
      <property name="Bitmap">[icon\logo_up.jpg]</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{11,70,82,90}</property>
      <property name="Name">[oButtonex1]</property>
      <property name="Caption">[&amp;1]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="Arial Narrow" width="0" height="-1" weight="400"/>
      </property>
      <property name="WordWrap">.T.</property>
      <property name="Bitmap">[icon\tesou_i1.jpg]</property>
      <property name="PicturePosition">[1-Center]</property>
      <property name="Transparent">.T.</property>
      <property name="ToolTip">
[Efetua quitacao de contas a receber de Clientes]      </property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onClick">
      <![CDATA[zoOfx:LoadOfx(Sx_Conta,LTRIM(STR(Banco,3)),AcctId,DtConcilia,SldConcili,D_ob)]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{27,309,206,52}</property>
      <property name="Name">[oButtonex2]</property>
      <property name="Caption">[&amp;S - Suprimento Avulso]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="ToolTip">[Efetua suprimento em conta da tesouraria]</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onClick">
      <![CDATA[DbGet("SX_CAIXA",1,,,"SX_CXA04")]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{27,369,206,52}</property>
      <property name="Name">[oButtonex3]</property>
      <property name="Caption">[&amp;B - Suprimento por Transf.]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="ToolTip">
[Efetua Suprimento de Conta da Tesouraria através de Saque em Conta Bancária]      </property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onClick">
      <![CDATA[DbGet("SX_CAIXA",1,,,"SX_CXA05")]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{11,167,82,90}</property>
      <property name="Name">[oButtonex5]</property>
      <property name="Caption">[&amp;1]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="Arial Narrow" width="0" height="-1" weight="400"/>
      </property>
      <property name="WordWrap">.T.</property>
      <property name="Bitmap">[icon\tesou_i1.jpg]</property>
      <property name="PicturePosition">[1-Center]</property>
      <property name="Transparent">.T.</property>
      <property name="ToolTip">
[Efetua quitacao de contas a receber de Clientes]      </property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onClick">
      <![CDATA[zoOfx:LoadOfx(Sx_Conta,lTrim(Str(Banco,3)),AcctId,DtConcilia,SldConcili,D_ob,.f.)]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{27,429,206,52}</property>
      <property name="Name">[oButtonex4]</property>
      <property name="Caption">
[&amp;D - Devolucao ao Caixa de Saldo de Adiantamentos]      </property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="" width="0" height="-15" weight="700"/>
      </property>
      <property name="WordWrap">.T.</property>
      <property name="ToolTip">[Efetua resolução final de um adiantamento/vale]</property>
      <property name="TabIndex">3</property>
    </style>
    <method name="onClick">
      <![CDATA[DbGet("SX_CAIXA",1,,,"SX_CXA03ES")]]>
    </method>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{300,74,715,465}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Cod;sx_conta;N;999;3;S;')
hwg_TbFi(D_oB, 'Titulo;CT_TITULO;C;@S20; 20;S;')
hwg_TbFi(D_oB, 'Saldo;SldConcili;N;9999999.99; 10;S;')
hwg_TbFi(D_oB, 'DtSaldo;DtConcilia;D;99.99.9999; 10;S;')
hwg_TbFi(D_oB, 'Bco;banco;N;999;3;S;')
hwg_TbFi(D_oB, 'Conta;AcctId;C;@S8;8;S;')
hwg_TbFi(D_oB, 'Abertura;CT_DATA;D;;  8;;')
hwg_TbFi(D_oB, 'UsaFitIdBco;usafitid;C;X;11;;')
hwg_TbFi(D_oB, 'Garantida?;TpLiquidez;C;X;10;;')
hwg_TbFi(D_oB, 'Cod.Contabil;CT_codigo;C;@S20; 20;;')
hwg_TbFi(D_oB, 'Hist.Contabil;CT_cod_his;N;9999; 4;;')
D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SX_CONTA",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| .t.}
sHwgKeyEdit:= 69
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{470,9,470,59}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Contas da Tesouraria]</property>
      <property name="Justify">[Right]</property>
      <property name="Anchor">9</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-24" weight="700"/>
      </property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{0,0,1022,5}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">11</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{0,0,5,598}</property>
      <property name="Name">[oLabel3]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">7</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{1017,0,5,598}</property>
      <property name="Name">[oLabel4]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">13</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{0,593,1022,5}</property>
      <property name="Name">[oLabel5]</property>
      <property name="Caption">[]</property>
      <property name="Anchor">12</property>
      <property name="BackColor">8388608</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{97,71,187,25}</property>
      <property name="Name">[oLabel6]</property>
      <property name="Caption">[Importar extrato bancario]</property>
      <property name="Justify">[Center]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="Segoe UI Emoji" width="0" height="-15" weight="400" italic="255"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">15</property>
    </style>
    <method name="onClick">
      <![CDATA[SCCRDUP(,2,'SCCRDUPA','TESOU')]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{97,101,187,60}</property>
      <property name="Name">[oLabel7]</property>
      <property name="Caption">
[registrar automaticamente os pagamentos a fornecedor e quitacoes de clientes]      </property>
      <property name="Justify">[Center]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="Segoe UI Emoji" width="0" height="-13" weight="400" italic="255"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">15</property>
    </style>
    <method name="onClick">
      <![CDATA[SCCRDUP(,2,'SCCRDUPA','TESOU')]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{101,168,187,25}</property>
      <property name="Name">[oLabel8]</property>
      <property name="Caption">[Conciliar extrato bancario]</property>
      <property name="Justify">[Center]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="Segoe UI Emoji" width="0" height="-15" weight="400" italic="255"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">15</property>
    </style>
    <method name="onClick">
      <![CDATA[SCCRDUP(,2,'SCCRDUPA','TESOU')]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{98,191,187,60}</property>
      <property name="Name">[oLabel9]</property>
      <property name="Caption">
[identifica no sistema os debitos e creditos constantes no extrato da conta bancaria]      </property>
      <property name="Justify">[Center]</property>
      <property name="TextColor">4194304</property>
      <property name="font">
        <font name="Segoe UI Emoji" width="0" height="-13" weight="400" italic="255"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">15</property>
    </style>
    <method name="onClick">
      <![CDATA[SCCRDUP(,2,'SCCRDUPA','TESOU')]]>
    </method>
  </part>
</part>
